package faktorI;

public class Opazanje extends Elem{
	PredElem operand;

	public Opazanje(PredElem operand){this.operand = operand;}
	
	public PredElem getOperand(){return operand;}
	public String getNaziv(){return operand.getNaziv();}
	
	public void setOperand(PredElem operand){this.operand = operand;}
	public void setFaktorI(double faktorI){
		operand.setFaktorI(faktorI);
	}
	
	public String toString(){
		String s = "" + operand.getNaziv();
		s+= "(" + operand.getFaktorI() + ")";
		return s;
	}
}
